<?php
include_once "../header.php";
include_once("../php/config.php");
$id_prestamo =$_GET["id_prestamo"];
$id_cobro=$_GET["id_cobro"];
$sql_pago= mysql_query("select * from prestamos p inner join clientes c on p.id_cliente = c.id_cliente where p.id_prestamo='$id_prestamo'") or die(mysql_error());


while($r0=mysql_fetch_array($sql_pago)){
    $capital+=$r0["balance_capital"];
    $interes+=$r0["balance_interes"];
    $fecha=@fecha($r0["fecha_prestamo"]);
    $monto=$r0["monto_prestado"];
    $nombre=$r0["nombre"];
    $cedula=$r0["cedula"];
    $tipo=$r0["tipo"];
	$id_venta=$r0["id_venta"];
	
}


?>

<div class="container">
<form id="frm" name="frm" action="grabar_pago.php" method="POST" onSubmit="desabilita()">
    <div class="row">
        <div class="col-md-12">
                <div class="row">
                    <div class="col-md-2 mt-2">
                        <label># Prestamo</label>
                        <input type="number" id="numero" name="numero" class="form-control"  readonly value="<?php echo $_GET['id_prestamo']?>">
                    </div>

                     <div class="col-md-3 mt-2">
                        <label>Cliente</label>
                        <input type="text" id="cliente" name="cliente" class="form-control"  readonly value="<?php echo $nombre?>">
                    </div>

                      <div class="col-md-2 mt-2">
                        <label>Monto prestado</label>
                        <input type="text" id="monto" name="monto" class="form-control"  readonly value="<?php echo @decimal($monto)?>">
                    </div>
                    
       
  
            </div>
                 
                                          
           
                 
            
            <div class="row">
                <div class="col-md-12 mt-2">
                    <a class="btn btn-danger" name="btnAnular" id="btnAnular" href="#" onClick="anular()"><i class='fa fa-trash fa-lg'></i> Anular este prestamo</button>
                    
                    <a class="btn btn-default ml-2" id='btnAtras' href="prestamos.php"> Ir atras</a>
                </div>
            </div>
           
            <div class="text-primary" id="mensaje">
             
            </div>
            
        </div>
    </div>
</form>
</div>

<?php


include_once "../footer.php";


?>

<script>
function nuevo_cliente(){
window.open("../clientes/clientes.php", "_blank", "toolbar=yes,scrollbars=yes,resizable=no,top=50,left=100,width=600,height=600");
}

function desabilita(){
    document.getElementById('btnGrabar').disabled = 'true';
    document.getElementById('btnAtras').style.display = 'none';
    $("#mensaje").html("Grabando datos, favor espere...");
}

function sumar(c){
	document.getElementById('btnGrabar').style.display = 'none';
    var id_prestamo="<?php echo $id_prestamo?>";
    window.location.href="cobrar.php?id_prestamo="+id_prestamo+"&id_cuota="+c;
	document.getElementById('btnGrabar').style.display = 'true';
}
var id_cuota = "<?php echo $id_cuota?>";
$("#cuotas option[value='"+id_cuota+"']").prop('selected', true);


 function anular(){
        if(myLevel!="Master"){
        alert("PARA REALIZAR ESTA OPERACION DEBE SER ADMINISTRADOR DEL SISTEMA");
        return;
    }
   
   
     var id_prestamo = "<?php echo $_GET['id_prestamo'];?>";
   
     if(id_prestamo==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from prestamos where id_prestamo='"+id_prestamo+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
		  
        borrar_cuotas(id_prestamo);
      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}



 function borrar_cuotas(id_prestamo){

    var sql="";                            
    sql="delete from cuotas where id_prestamo='"+id_prestamo+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        alert("PRESTAMO ANULADO CON EXITO!!!!");
		 var id_venta = "<?php echo $id_venta;?>";
		borrar_venta(id_venta)
       // window.location.href="prestamos.php";
      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}

 function borrar_venta(id_venta){

    var sql="";                            
    sql="delete from ventas where id_venta='"+id_venta+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        ///alert("PRESTAMO ANULADO CON EXITO!!!!");
        //window.location.href="prestamos.php";
		borrar_detalle_venta(id_venta)
      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}

 function borrar_detalle_venta(id_venta){

    var sql="";                            
    sql="delete from detalle_venta where folio='"+id_venta+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        ///alert("PRESTAMO ANULADO CON EXITO!!!!");
        window.location.href="prestamos.php";
      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}

</script>